Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationSlug
string
required

The slug of the organization or user account.

databaseName
string
required

The name of the database.

Response

200 - application/json

Successful response

size_limit
string

The maximum size of the database in bytes. Values with units are also accepted, e.g. 1mb, 256mb, 1gb.

Example:

"10000"

allow_attach
boolean
deprecated

Allow or disallow attaching databases to the current database.

Example:

true

block_reads
boolean

The current status for blocked reads.

Example:

false

block_writes
boolean

The current status for blocked writes.

Example:

false

delete_protection
boolean

Prevent the database from being deleted.

Example:

true

allowed_ips
string[]

List of allowed IP addresses and CIDR blocks. Empty means no IP restriction.

Example:
allowed_aws_vpc_ids
string[]

List of allowed AWS VPC endpoint IDs. Empty means no VPC endpoint restriction.

Example: